import type { AccountId } from "../models/AccountId";
import type { PublicKey } from "../models/PublicKey";
import type { PublicKeyData } from "../models/PublicKeyData";
import type { PublicKeyId } from "../models/PublicKeyId";
import type { RemovePublicKeyBatch } from "../models/RemovePublicKeyBatch";
export declare class PublicKeysService {
    /**
     * Adds a public key to the account.
     * @param accountId
     * @param requestBody
     * @returns PublicKey Success.
     * @throws ApiError
     */
    static addPublicKey(accountId: AccountId, requestBody: PublicKeyData): Promise<PublicKey>;
    /**
     * Removes multiple public keys from the account.
     * @param accountId
     * @param requestBody
     * @returns any Success.
     * @throws ApiError
     */
    static removePublicKeyBatch(accountId: AccountId, requestBody: RemovePublicKeyBatch): Promise<any>;
    /**
     * Removes a public key from the account.
     * @param accountId
     * @param publicKeyId
     * @returns any Success.
     * @throws ApiError
     */
    static removePublicKey(accountId: AccountId, publicKeyId: PublicKeyId): Promise<any>;
}
