/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { AccountId } from "./AccountId";
import type { FilePathText } from "./FilePathText";
import type { MultipartFormDataFieldName } from "./MultipartFormDataFieldName";
import type { RawFileUrlText } from "./RawFileUrlText";

/**
 * File uploaded by a successful FormDataUpload request.
 */
export type FormDataUploadResponseFileV2 = {
  /**
   * The field name that corresponds to this file in the `multipart/form-data` request body.
   */
  formDataFieldName: MultipartFormDataFieldName;
  accountId: AccountId;
  /**
   * The file's path.
   *
   * *We recommend you save this value to your database* (instead of the file's URL).
   *
   * This value always begins with a `/`.
   */
  filePath: FilePathText;
  /**
   * The file's raw URL (i.e. with no file transformations applied).
   */
  fileUrl: RawFileUrlText;
};
